@import "../../css/colors.css";
@import "../../css/units.css";

.modal-content {
    width: 480px;
}

.header {
    background-color: $pen-primary;
}

.body {
    background: $ui-white;
}

.label {
    font-weight: 500;
    margin: 0 0 0.75rem;
}

.centered-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.connection-tip-icon {
    position: absolute;
}

@keyframes wiggle {
    0% {transform: rotate(3deg) scale(1.05);}
    25% {transform: rotate(-3deg) scale(1.05);}
    50% {transform: rotate(5deg) scale(1.05);}
    75% {transform: rotate(-2deg) scale(1.05);}
    100% {transform: rotate(0deg) scale(1.05);}
}

.activityArea {
    height: 95px;
    background-color: $motion-light-transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .5rem;
}

.activityAreaBis {
    height: 55px;
    background-color: $motion-light-transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .5rem;
}

.button-row {
    font-weight: bolder;
    text-align: center;
    display: flex;
}

.abort-connecting-icon {
    width: 10px;
    transform: rotate(45deg);
}

.check-serial-icon {
    width: 28px;
    padding-right: 8px
}

.cross-serial-icon {
    width: 28px;
    padding-right: 8px
}

.infos-serial-icon {
    width: 28px;
    padding-left: 8px;
}

.margin-bottom {
    margin-bottom: 15px;
}

.connection-button {
    padding: 0.6rem 0.75rem;
    border-radius: 0.5rem;
    background: $motion-primary;
    color: white;
    font-weight: 600;
    font-size: 0.85rem;
    margin: 0.25rem;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.connection-button:disabled {
    background: $motion-transparent;
}

.segmented-button {
    display: flex;
}

.segmented-button .connection-button:first-of-type {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    margin-right: 0;
}

.segmented-button .connection-button:last-of-type {
    margin-left: 1px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

[dir="ltr"] .button-icon-right {
    margin-left: 0.5rem;
}
[dir="rtl"] .button-icon-right {
    margin-right: 0.5rem;
}

[dir="ltr"] .button-icon-left {
    margin-right: 0.5rem;
}

[dir="rtl"] .button-icon-left {
    margin-left: 0.5rem;
}

/* reverse back arrow icon for RTL, don't reverse other connection icons */
[dir="rtl"] .button-icon-back {
    transform: scaleX(-1);
}

.corner-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0 1rem;
}

.bottom-area {
    background-color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 1rem;
    padding-bottom: .75rem;
    padding-left: .75rem;
    padding-right: .75rem;
}

.bottom-area .bottom-area-item+.bottom-area-item {
    margin-top: 1rem;
}

.instructions {
    text-align: center;
}

/* Serial Popup container - can be anything you want */
.serialpopup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual serialpopup */
.serialpopup .serialpopuptext {
  visibility: hidden;
  width: 220px;
  background-color: rgb(110, 110, 110);
  color: #fff;
  text-align: center;
  border-radius: 8px;
  padding: 4px 4px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  margin-left: -200px;
  font-size: 12px;
}

/* Serial Popup arrow */
.serialpopup .serialpopuptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: 75px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

/* Toggle this class - hide and show the serialpopup */
.serialpopup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

/* Download Popup container - can be anything you want */
.downloadpopup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual serialpopup */
.downloadpopup .downloadpopuptext {
  visibility: hidden;
  width: 435px;
  background-color: rgb(110, 110, 110);
  color: #fff;
  text-align: center;
  border-radius: 8px;
  padding: 10px 4px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  margin-left: -375px;
  font-size: 12px;
}

/* Download Popup arrow */
.downloadpopup .downloadpopuptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: 143px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

/* Toggle this class - hide and show the downloadpopup */
.downloadpopup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

/* Connect Popup container - can be anything you want */
.connectpopup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual connectpopup */
.connectpopup .connectpopuptext {
  visibility: hidden;
  width: 445px;
  background-color: rgb(110, 110, 110);
  color: #fff;
  text-align: center;
  border-radius: 8px;
  padding: 10px 4px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  margin-left: -385px;
  font-size: 12px;
}

/* Connect Popup arrow */
.connectpopup .connectpopuptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: 147px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

/* Toggle this class - hide and show the connectpopup */
.connectpopup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
  from {opacity: 0;} 
  to {opacity: 1;}
}

@keyframes fadeIn {
  from {opacity: 0;}
  to {opacity:1 ;}
}